# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::SubSetCollection< Type > Class Template Reference

Applies a Filter to a Collection. More...

Inheritance diagram for Hurricane::SubSetCollection< Type >:
[legend]

## Public Member Functions
| SubSetCollection (const Collection< Type > &collection, const Filter< Type > &filter)
| SubSetCollection (const SubSetCollection &subSetCollection)
Public Member Functions inherited from Hurricane::Collection< Type >
virtual | ~Collection ()
virtual unsigned | getSize () const
Type | getFirst () const
GenericCollection< Type > | getSubSet (const Filter< Type > &filter) const
template<class SubType >
GenericCollection< SubType > | getSubSet () const
template<class SubType >
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Type>
class Hurricane::SubSetCollection< Type >

Applies a Filter to a Collection.

Build a sub-Collection of all the elements of the primary that match the Filter criterion.

## Constructor & Destructor Documentation

## ◆ SubSetCollection() [1/2]

template<class Type >

Hurricane::SubSetCollection< Type >::SubSetCollection | ( | const Collection< Type > & | collection,
|  | const Filter< Type > & | filter
| ) |  |
| inline

Constructor from a primary Collection and a Filter.

## ◆ SubSetCollection() [2/2]

template<class Type >

Hurricane::SubSetCollection< Type >::SubSetCollection | ( | const SubSetCollection< Type > & | subSetCollection | ) |
| inline

Copy constructor.

The documentation for this class was generated from the following files:

- Collection.h
- Collection.dox

Generated by doxygen 1.8.14 on Sun Mar 8 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved